Page MenuHomePhabricator

New comments are not generating mention notifications when signature is non-standard
Closed, ResolvedPublic

Description

The edit
https://pt.wikipedia.org/w/index.php?diff=40601300
added a comment in the format
:::{{Ping|MyUserName}} Comment. <HisSignature> 13h35min de 13 de novembro de 2014 (UTC)
to a talk page but it didn't generate a notification.


Version: unspecified
Severity: major
See Also:
T73353: Echo pings are not recognized if the signature uses custom namespace alias (defined per-wiki, rather than for the language)
T75426: Comments containing diacritics does not generate notifications

Details

Reference
bz73366

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:54 AM
bzimport added a project: Notifications.
bzimport set Reference to bz73366.
He7d3r created this task.Nov 13 2014, 1:53 PM

The ping works if the signature contains "User"
https://pt.wikipedia.org/w/index.php?diff=40601702
or "Usuário"
https://pt.wikipedia.org/w/index.php?diff=40601695
but doesn't work anymore if it contains "Usuário(a)"
https://pt.wikipedia.org/w/index.php?diff=40601676

Verified that the Title class does not detect Usuário(a) as NS_USER:

ebernhardson@tin:~$ mwscript eval.php --wiki=ptwiki                                                            
> $t = Title::newFromText( 'Usurio(a):Reverta-me' );
> echo $t->getNamespace()
0

Not sure how to fix yet, looking into it

Actually eval.php ate the non-ascii chracters. The title class in ptwiki correctly detects this as NS_USER.

gerritadmin wrote:

Change 173077 had a related patch set uploaded by EBernhardson:
Bug: parenthesis are allowed in namespaces

https://gerrit.wikimedia.org/r/173077

gerritadmin wrote:

Change 173077 merged by jenkins-bot:
Bug: parenthesis are allowed in namespaces

https://gerrit.wikimedia.org/r/173077

gerritadmin wrote:

Change 173116 had a related patch set uploaded by EBernhardson:
Bug: parenthesis are allowed in namespaces

https://gerrit.wikimedia.org/r/173116

gerritadmin wrote:

Change 173118 had a related patch set uploaded by EBernhardson:
Bug: parenthesis are allowed in namespaces

https://gerrit.wikimedia.org/r/173118

gerritadmin wrote:

Change 173118 merged by jenkins-bot:
Bug: parenthesis are allowed in namespaces

https://gerrit.wikimedia.org/r/173118

gerritadmin wrote:

Change 173116 merged by jenkins-bot:
Bug: parenthesis are allowed in namespaces

https://gerrit.wikimedia.org/r/173116

deployed fix to prod

He7d3r added a comment.EditedNov 14 2014, 5:57 PM

Er... the user still can't notify me, but now due to T75426: Comments containing diacritics does not generate notifications.

In November the Flow team was tracking this in Trello card vLKd47sL"

Mattflaschen-WMF reopened this task as Open.Dec 9 2014, 1:30 AM
FriedhelmW renamed this task from New comments are not generating mention notifications to New comments are not generating mention notifications when signature is non-standard.Jan 29 2015, 11:56 AM
He7d3r updated the task description. (Show Details)Jan 29 2015, 5:39 PM
gerritbot added a subscriber: gerritbot.

Change 187850 had a related patch set uploaded (by Matthias Mullie):
Improve signature detection

https://gerrit.wikimedia.org/r/187850

Patch-For-Review

Change 187850 merged by jenkins-bot:
Improve signature detection

https://gerrit.wikimedia.org/r/187850

Change 189548 had a related patch set uploaded (by EBernhardson):
Improve signature detection

https://gerrit.wikimedia.org/r/189548

Patch-For-Review

Change 189548 merged by jenkins-bot:
Improve signature detection

https://gerrit.wikimedia.org/r/189548

Change 189549 had a related patch set uploaded (by EBernhardson):
Improve signature detection

https://gerrit.wikimedia.org/r/189549

Patch-For-Review

Change 189549 merged by jenkins-bot:
Improve signature detection

https://gerrit.wikimedia.org/r/189549

EBernhardson closed this task as Resolved.Feb 9 2015, 8:28 PM

I've added this fix to todays SWAT deploy, it should be live to all production wiki's in 4 to 5 hours.